Bug 1295717 - nodejs-ws: Remote memory disclosure via ping functionality
nodejs-ws: Remote memory disclosure via ping functionality
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160104,reported=2...
: Security
Depends On: 1295718 1295719 1295720 1295721
Blocks: 1295723
  Show dependency treegraph
 
Reported: 2016-01-05 05:53 EST by Adam Mariš
Modified: 2016-01-20 23:37 EST (History)
11 users (show)

See Also:
Fixed In Version: nodejs-ws 1.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 15:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-05 05:53:56 EST
A vulnerability in the ping functionality of ws module which allowed clients to allocate memory by simply sending a ping frame. The ping functionality by default responds with a pong frame and the previously given payload of the ping frame. As a result, client receives non-zeroed out allocated buffer from server of arbitrary length. Assuming the usage of modern kernel, only the memory previously used and deallocated by the node process and the memory that has been previously allocated as a Buffer can be leaked using this way.

External reference:

https://nodesecurity.io/advisories/67
Comment 3 Adam Mariš 2016-01-05 05:55:00 EST
Created nodejs-ws tracking bugs for this issue:

Affects: fedora-all [bug 1295718]
Affects: epel-all [bug 1295719]
Comment 4 Kurt Seifried 2016-01-11 23:56:15 EST
OpenShift Enterprise 2.x does not use the ping functionality in openshift-origin-node-proxy.
Comment 5 Fedora Update System 2016-01-14 03:53:34 EST
nodejs-ws-1.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-01-14 04:49:14 EST
nodejs-ws-1.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-01-20 23:27:15 EST
nodejs-ws-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-20 23:37:21 EST
nodejs-ws-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.